<!DOCTYPE html>
<html>
<head>
<title>D3.js GoogleMap Voronoi Diagram</title>
<script src="http://d3js.org/d3.v3.min.js"></script>
<script src="http://shimz.me/example/d3js/geo_example/geo_template/topojson.v0.min.js"></script>
             
<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false"></script>
<script src="jquery.js"></script>
<script>
</script>


<style type="text/css">
html, body{
    margin: 0px;
    padding: 0px;
}
html, body, #map_canvas {
	width: 100%;
	height: 100%;
}

.SvgOverlay {
	position: relative;
	width: 900px;
	height: 600px;           
}

.SvgOverlay svg {
	position: absolute;
	top: -4000px;
	left: -4000px;
	width: 8000px;
	height: 8000px;        
}

</style>
</head>
<body>

Enter some points and press submit<br/>

<textarea rows="4" cols="50" id='myTextArea'>
 -75.41  , 45.24  	
 -63.7   , 46.14  	
 -113.29 , 53.32  	
 -66.38  , 45.57 	
 -63.34  , 44.38 	
 -68.31  , 63.44  	
 -73.33  , 45.30   	
 -73.32  , 52.56   	
 -104.36 , 50.27   
 -79.22  , 43.39  	
 -123.6  , 49.14  	
 -135.3  , 60.43 	
 -97.9   , 49.53  	
 -114.22 , 62.27   
 </textarea>
 <br/>

 <button id='myButton'>Submit</button>
 In version 4, it should actually do something useful...<br/>
<div id="map_canvas"></div>
<br>

<script type="text/javascript">

d3.json('point.geojson_03', function(pointjson){
	main(pointjson); 
});

function main(pointjson) {
        
	//Google Map 初期化
	var map = new google.maps.Map(document.getElementById('map_canvas'), {
		zoom:3,
		mapTypeId: google.maps.MapTypeId.ROADMAP,
		center: new google.maps.LatLng( 52.27 , -90.22),
	});

		
	var overlay = new google.maps.OverlayView(); //OverLay

	// 
	overlay.onAdd = function () {

		var layer = d3.select(this.getPanes().overlayLayer).append("div").attr("class", "SvgOverlay");
		var svg = layer.append("svg");
		var svgoverlay = svg.append("g").attr("class", "AdminDivisions");
		
		// 
		overlay.draw = function () {
			var markerOverlay = this;
			var overlayProjection = markerOverlay.getProjection();
	
			//Google Mapの投影法設定
			var googleMapProjection = function (coordinates) {
				var googleCoordinates = new google.maps.LatLng(coordinates[1], coordinates[0]);
				var pixelCoordinates = overlayProjection.fromLatLngToDivPixel(googleCoordinates);
				return [pixelCoordinates.x + 4000, pixelCoordinates.y + 4000];
			}

			//母点位置情報
			var pointdata = pointjson.features;
			
			//ピクセルポジション情報
			var positions = [];

			pointdata.forEach(function(d) {		
				positions.push(googleMapProjection(d.geometry.coordinates)); //位置情報→ピクセル
			});
	
			//ボロノイ変換関数
			var polygons = d3.geom.voronoi(positions);
			
			var pathAttr ={
				"d":function(d, i) { return "M" + polygons[i].join("L") + "Z"},
				stroke:"red",
				fill:"none"			
			};

			//境界表示
			svgoverlay.selectAll("path")
				.data(pointdata)
				.attr(pathAttr)
				.enter()
				.append("svg:path")
				.attr("class", "cell")
				.attr(pathAttr)
				
			var circleAttr = {
				    "cx":function(d, i) { return positions[i][0]; },
				    "cy":function(d, i) { return positions[i][1]; },
				    "r":2,
				    fill:"red"			
			}
	
			//母点表示
			svgoverlay.selectAll("circle")
				.data(pointdata)
				.attr(circleAttr)
				.enter()
				.append("svg:circle")
				.attr(circleAttr)
	  
		};

	};

	//作成したSVGを地図にオーバーレイする
	overlay.setMap(map);
	
		
};

</script>

</body>
</html>





 
 <script>
 $(document).ready(function(){

	 $("#myButton").click(function(){
	  
	  var myValue = $('#myTextArea').val();	  
	  var myFields = myValue.split(/,/);
	  alert(myFields);
	  var jsonData = {};
	  
	});


}); 

 </script>